textarea {
    resize: none;
}

button {
    font-size: 14px;
}

body {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}

.diffie-hellman {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: #ddd 1px solid;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 10px;
}

.diffie-hellman .block {
    margin-bottom: 10px;
}

.diffie-hellman .header {
    text-align: center;
}

.diffie-hellman .info {
    display: flex;
    justify-content: right;
}

.diffie-hellman .info img {
    height: 24px;
    cursor: pointer;
    margin-right: 15px;
}

.diffie-hellman .info #authors {
    margin-top: 2px;
}

#curtain {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 150202;
    top: 0;
    left: 0;
    margin: 0;
    padding: 0;
}

#popup {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #F6F5F4;
    border-radius: 15px;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.22);
    border: 1px solid #ddd;
    width: 500px;
    height: 300px;
}

#popup .content {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
}

#popup .content .header {
    font-weight: bold;
    margin-bottom: 20px;
}

#popup .content .message {
    font-size: large;
    color: black;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
}

#popup .content .message ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#popup .content .button {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translate(-50%, 0);
    padding: 10px;
    border-radius: 15px;
    margin-top: 20px;
    cursor: pointer;
}
